### Function

# RB find_plugin_resource

#### Declaration [src]

    char*
    rb_find_plugin_resource (
      GObject* plugin,
      const char* name
    )

#### Description [src]

Constructs a resource path for a plugin data file.

#### Parameters

`plugin`

  Type: `GObject`

  The plugin object.

  The data is owned by the caller of the function.

`name`

  Type: `const char*`

  Name of the file to find.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `char*`

Allocated string containing the resource path.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.